# REST API

- [REST Endpoints](https://docs.sfox.com/connect/rest-api/rest-endpoints.md)
- [Authentication](https://docs.sfox.com/connect/rest-api/authentication.md)
- [End Users](https://docs.sfox.com/connect/rest-api/end-users.md): User management
- [Create End User](https://docs.sfox.com/connect/rest-api/end-users/create-end-user.md)
- [Update End User](https://docs.sfox.com/connect/rest-api/end-users/update-end-user.md)
- [Get End User](https://docs.sfox.com/connect/rest-api/end-users/get-end-user.md)
- [Get Multiple End Users](https://docs.sfox.com/connect/rest-api/end-users/get-multiple-end-users.md)
- [Create User Auth Token](https://docs.sfox.com/connect/rest-api/end-users/create-user-auth-token.md)
- [Create Multiple User Auth Tokens](https://docs.sfox.com/connect/rest-api/end-users/create-multiple-user-auth-tokens.md)
- [Create Verification Code](https://docs.sfox.com/connect/rest-api/end-users/create-verification-code.md)
- [Confirm Verification Code](https://docs.sfox.com/connect/rest-api/end-users/confirm-verification-code.md)
- [Get EDD Requests](https://docs.sfox.com/connect/rest-api/end-users/get-edd-requests.md)
- [Get EDD Prompts](https://docs.sfox.com/connect/rest-api/end-users/get-edd-prompts.md)
- [Create EDD Responses](https://docs.sfox.com/connect/rest-api/end-users/create-edd-responses.md)
- [Submit Documents](https://docs.sfox.com/connect/rest-api/end-users/submit-documents.md)
- [Submit Documents API](https://docs.sfox.com/connect/rest-api/end-users/submit-documents/submit-documents-api.md)
- [Submit Documents API (Legacy)](https://docs.sfox.com/connect/rest-api/end-users/submit-documents/submit-documents-api-legacy.md)
- [Submit Documents (SFTP)](https://docs.sfox.com/connect/rest-api/end-users/submit-documents/submit-documents-sftp.md)
- [Deactivate User](https://docs.sfox.com/connect/rest-api/end-users/deactivate-user.md)
- [Payments](https://docs.sfox.com/connect/rest-api/payments.md): Link a bank account and get wire instructions
- [Get Bank Account](https://docs.sfox.com/connect/rest-api/payments/get-bank-account.md): Returns the status and account information of the linked bank account
- [Create Bank Account (Plaid)](https://docs.sfox.com/connect/rest-api/payments/create-bank-account-plaid.md): Saves bank account information for your sFOX account
- [Create Bank Account](https://docs.sfox.com/connect/rest-api/payments/create-bank-account.md): Saves bank account information for your sFOX account
- [Delete Bank Account](https://docs.sfox.com/connect/rest-api/payments/delete-bank-account.md)
- [Verify Bank Account](https://docs.sfox.com/connect/rest-api/payments/verify-bank-account.md)
- [Get Wire Instructions](https://docs.sfox.com/connect/rest-api/payments/account-management.md)
- [Get Plaid Processors](https://docs.sfox.com/connect/rest-api/payments/get-plaid-processors.md): Saves bank account information for your sFOX account
- [Amend Plaid Processors](https://docs.sfox.com/connect/rest-api/payments/amend-plaid-processors.md): Saves bank account information for your sFOX account
- [Get ACH Agreement Status](https://docs.sfox.com/connect/rest-api/payments/get-ach-agreement-status.md)
- [Request ACH Onboarding](https://docs.sfox.com/connect/rest-api/payments/request-ach-onboarding.md)
- [Get ACH Deposit Limit](https://docs.sfox.com/connect/rest-api/payments/get-ach-deposit-limit.md): sFOX has partnered up with Dwolla, a US payments processing platform, to integrate ACH Transfer capabilities.
- [Withdrawals](https://docs.sfox.com/connect/rest-api/withdrawals.md): Withdrawal Management and Confirmation
- [Confirm Withdrawal](https://docs.sfox.com/connect/rest-api/withdrawals/confirm-withdrawal.md)
- [Resend Confirmation Code](https://docs.sfox.com/connect/rest-api/withdrawals/resend-confirmation-code.md)
- [Cancel Withdrawal](https://docs.sfox.com/connect/rest-api/withdrawals/cancel-withdrawal.md)
- [Transfers](https://docs.sfox.com/connect/rest-api/transfers.md)
- [Create Transfer](https://docs.sfox.com/connect/rest-api/transfers/create-transfer.md)
- [Confirm Transfer](https://docs.sfox.com/connect/rest-api/transfers/confirm-transfer.md)
- [Resend Confirmation Code](https://docs.sfox.com/connect/rest-api/transfers/resend-confirmation-code.md)
- [Cancel Transfer](https://docs.sfox.com/connect/rest-api/transfers/cancel-transfer.md)
- [Get Transfer Permissions](https://docs.sfox.com/connect/rest-api/transfers/get-transfer-permissions.md)
- [Get Transfer History](https://docs.sfox.com/connect/rest-api/transfers/get-transfer-history.md)
- [Monetization](https://docs.sfox.com/connect/rest-api/monetization.md)
- [Get Settings](https://docs.sfox.com/connect/rest-api/monetization/get-settings.md)
- [Create Setting](https://docs.sfox.com/connect/rest-api/monetization/create-setting.md)
- [Update Setting](https://docs.sfox.com/connect/rest-api/monetization/update-setting.md)
- [Delete Setting](https://docs.sfox.com/connect/rest-api/monetization/delete-setting.md)
- [Get Permissions](https://docs.sfox.com/connect/rest-api/monetization/get-permissions.md)
- [Get Monetization History](https://docs.sfox.com/connect/rest-api/monetization/get-monetization-history.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
